UbuntuUpdates.org

Package "lttng-modules"

Name: lttng-modules

Description:

This package is just an umbrella for a group of other packages, it has no description.
Description samples from packages in group:

  • Linux Trace Toolkit (LTTng) kernel modules (DKMS)

Latest version: 2.8.0-1ubuntu1~16.04.5
Release: xenial (16.04)
Level: updates
Repository: universe

Links

Save this URL for the latest version of "lttng-modules": https://www.ubuntuupdates.org/lttng-modules



Other versions of "lttng-modules" in Xenial

Repository Area Version
base universe 2.7.1-1

Packages in group

Deleted packages are displayed in grey.

lttng-modules-dkms

Changelog

Version: 2.8.0-1ubuntu1~16.04.5 2018-04-03 03:06:30 UTC

  lttng-modules (2.8.0-1ubuntu1~16.04.5) xenial; urgency=medium

  * Fix builds for 4.13.0-38 kernel (LP: #1756240)
    - Update definition of kvm_mmio() to match the new kernel

 -- Khalid Elmously <email address hidden> Thu, 22 Mar 2018 12:08:10 -0400

Source diff to previous version
1756240 Unable to build lttng-module with Artful kernel

Version: 2.8.0-1ubuntu1~16.04.4 2018-03-02 01:07:00 UTC

  lttng-modules (2.8.0-1ubuntu1~16.04.4) xenial; urgency=medium

  * Fix builds on HWE 4.14 kernel (LP: #1739591)
    Apply the following upstream commits:
     0030-Fix-update-block-instrumentation-for-4.14-kernel.patch
     0031-Fix-update-writeback-instrumentation-for-kernel-4.14.patch
     0032-Update-kvm-instrumentation-for-4.15.patch
     0033-Fix-kvm-instrumentation-for-4.15.patch
     0034-Update-kvm-instrumentation-for-3.16.52-and-3.2.97.patch
     0035-Update-kvm-instrumentation-for-debian-kernel-4.9.65-.patch
     0036-Update-kvm-instrumentation-for-4.14.14-4.9.77-4.4.11.patch

 -- Colin Ian King <email address hidden> Tue, 6 Feb 2018 10:38:22 +0000

Source diff to previous version
1739591 lttng-modules-dkms failed to build with 4.14 Azure edge kernel on Xenial

Version: 2.8.0-1ubuntu1~16.04.3 2017-11-15 03:06:54 UTC

  lttng-modules (2.8.0-1ubuntu1~16.04.3) xenial; urgency=medium

  * Fix builds on HWE 4.13 kernel (LP: #1727251)
    Apply the following upstream commits:
     0015-Fix-update-mm_vmscan-instrumentation-for-kernel-4.11.patch
     0016-Fix-update-btrfs-instrumentation-for-kernel-4.11.patch
     0017-Fix-changes-to-the-vm_op-fault-cb-prototype-in-libri.patch
     0018-Fix-update-scsi-instrumentation-for-kernel-4.11.patch
     0019-Fix-timers-cputime_t-arguments-replaced-by-ull-in-ke.patch
     0020-Fix-atomic_add_unless-returns-true-false-rather-than.patch
     0021-Fix-kref-changes-for-kernel-4.11.patch
     0022-Fix-update-sched-instrumentation-for-kernel-4.12.patch
     0023-Fix-update-ringbuffer-for-kernel-4.12.patch
     0024-Fix-update-block-instrumentation-for-kernel-4.12.patch
     0025-Fix-update-ftrace-probe-for-kernel-4.12.patch
     0026-Fix-Build-ftrace-probe-on-kernels-prior-to-4.12.patch
     0027-Fix-handle-missing-ftrace-header-on-v4.12.patch
     0028-Fix-section-mismatch-warning-caused-by-__exit-annota.patch
     0029-Fix-missing-ftrace-header-on-v4.11.patch
  * Don't build ftrace lttng module for 4.11 upwards as this currently
    requires the full kernel source and not just the headers anymore,
    add kernel version check in lttng-modules-dkms.dkms.in

 -- Colin Ian King <email address hidden> Thu, 26 Oct 2017 18:00:02 +0100

Source diff to previous version
1727251 ubuntu_lttng_smoke_test failed on A-hwe kernel

Version: 2.8.0-1ubuntu1~16.04.2 2017-04-13 22:06:40 UTC

  lttng-modules (2.8.0-1ubuntu1~16.04.2) xenial; urgency=medium

  * Fix builds on HWE 4.10 kernel (LP: #1677126)
    Backport the following upstream commits:
     0007-Fix-unregister-cpu-hotplug-notifier-on-buffer-alloc-.patch
     0008-Add-load-unload-messages-to-kernel-log.patch
     0009-Fix-update-scsi-instrumentation-for-4.7-kernels.patch
     0010-btrfs-instrumentation-update-to-4.10-kernel.patch
     0011-timer-instrumentation-adapt-to-ktime_t-without-union.patch
     0012-Adapt-lttng-modules-to-Linux-4.10-cpu-hotplug-state-.patch
     0013-Fix-only-include-linux-cpuhotplug.h-for-kernels-4.10.patch
     0014-Fix-4.10-hotplug-adaptation-backward-compat.patch

 -- Colin Ian King <email address hidden> Wed, 29 Mar 2017 14:05:08 +0100

Source diff to previous version
1677126 ubuntu_lttng_smoke_test failed on z-hwe: Kernel tracer not available

Version: 2.8.0-1ubuntu1~16.04.1 2017-03-16 17:06:55 UTC

  lttng-modules (2.8.0-1ubuntu1~16.04.1) xenial; urgency=medium

  * Backport into 16.04/Xenial to fix build with 4.8 kernels (LP: #1662114).

 -- Stefan Bader <email address hidden> Wed, 08 Feb 2017 11:16:36 +0100

1662114 lttng-modules 2.7.1-1 ADT test failure with linux-hwe 4.8.0-37.39~16.04.2



About   -   Send Feedback to @ubuntu_updates